Tkinter入门
前页 | Chapter 26. The Font Class | 后页

# Options

The constructor and the `config` method supports the following options.

Table 26-1. Font Options

Option | Type | Description
--- | --- | ---
`font` | font | Font specifier. This can be a font name, a system font name, or a (family, size, style)-tuple.
`family` | string | Font family.
`size` | integer | Font size in points. To give the size in pixels, use a negative value.
`weight` | constant | Font thickness. Use one of `NORMAL` or `BOLD`. Default is `NORMAL`. Note that these constants are defined in the `tkFont` module.
`slant` | constant | Font slant. Use one of `NORMAL` or `ITALIC`. Default is `NORMAL`. Note that these constants are defined in the `tkFont` module.
`underline` | flag | Font underlining. If 1 (true), the font is underlined. Default is 0 (false).
`overstrike` | flag | Font strikeout. If 1 (true), a line is drawn over text written with this font. Default is 0 (false).

前页 | Home | 后页
Functions | Up | The Frame Widget